" latex.vim
" =====================================
" zkladn menu a zkratky
" =====================================
noreab latexks  \documentclass{book}
\usepackage{kshkpaper}
\usepackage{palatino}

\begin{document}
\KSPaperSet{zahlavi}

\section*{nazev}
\end{document}
noreab latexksa \documentclass{book}
\usepackage{kshkpaperADK}
\usepackage{palatino}

\begin{document}
\KSPaperSet{zahlavi}

\section*{nazev}
\end{document}
noreab latextm  \documentclass{book}
\usepackage{tmapypaper}
\usepackage{palatino}

\begin{document}
\TMPaperSet{zahlavi}

\section*{nazev}
\end{document}
"
noreab \i \item
noreab \d \item[]
noreab noi noindent
noreab np \newpage
noreab npp \ \newpage
noreab ... \dots
" -------------------------------------
" Prosted
inoremap ,ei     \begin{itemize}<CR>TTT<CR>\end{itemize}?TTT
cw\item 
noremap  ,ei    O\begin{itemize}<CR>TTT<CR>\end{itemize}?TTT
cw\item 
vnoremap ,ei  "ac\begin{itemize}<CR>TTT<CR>\end{itemize}?TTT
cw\item "ap
"
inoremap ,ee     \begin{enumerate}<CR>TTT<CR>\end{enumerate}?TTT
cw\item 
noremap  ,ee    O\begin{enumerate}<CR>TTT<CR>\end{enumerate}?TTT
cw\item 
vnoremap ,ee  "ac\begin{enumerate}<CR>TTT<CR>\end{enumerate}?TTT
cw\item "ap
"
inoremap ,ed     \begin{description}<CR>TTT<CR>\end{description}?TTT
cw\item[TTT] ?TTT
cw
noremap  ,ed    O\begin{description}<CR>TTT<CR>\end{description}?TTT
cw\item[TTT] ?TTT
cw
vnoremap ,ed  "ac\begin{description}<CR>TTT<CR>\end{description}?TTT
cw\item[TTT] "ap?TTT
cw
"
inoremap ,eqe    \begin{quote}<CR>TTT<CR>\end{quote}?TTT
cw
noremap  ,eqe   O\begin{quote}<CR>TTT<CR>\end{quote}?TTT
cw
vnoremap ,eqe "ac\begin{quote}<CR>TTT<CR>\end{quote}?TTT
cw"ap
"
inoremap ,eqe    \begin{quote}<CR>TTT<CR>\end{quote}?TTT
cw
noremap  ,eqe   O\begin{quote}<CR>TTT<CR>\end{quote}?TTT
cw
vnoremap ,eqe "ac\begin{quote}<CR>TTT<CR>\end{quote}?TTT
cw"ap
"
inoremap ,eqn    \begin{quotation}<CR>TTT<CR>\end{quotation}?TTT
cw
noremap  ,eqn   O\begin{quotation}<CR>TTT<CR>\end{quotation}?TTT
cw
vnoremap ,eqn "ac\begin{quotation}<CR>TTT<CR>\end{quotation}?TTT
cw"ap
"
inoremap ,ev     \begin{verbatim}<CR>TTT<CR>\end{verbatim}?TTT
cw
noremap  ,ev    O\begin{verbatim}<CR>TTT<CR>\end{verbatim}?TTT
cw
vnoremap ,ev  "ac\begin{verbatim}<CR>TTT<CR>\end{verbatim}?TTT
cw"ap
"
inoremap ,eV     \begin{Verbatim}[fontsize=]<CR>TTT<CR>\end{Verbatim}?TTT
cw
noremap  ,eV    O\begin{Verbatim}[fontsize=]<CR>TTT<CR>\end{Verbatim}?TTT
cw
vnoremap ,eV  "ac\begin{Verbatim}[fontsize=]<CR>TTT<CR>\end{Verbatim}?TTT
cw"ap
"
inoremap ,exf     \begin{fooex}<CR>TTT<CR>\end{fooex}?TTT
cw
noremap  ,exf    O\begin{fooex}<CR>TTT<CR>\end{fooex}?TTT
cw
vnoremap ,exf  "ac\begin{fooex}<CR>TTT<CR>\end{fooex}?TTT
cw"ap
"
inoremap ,exf     \begin{screx}<CR>TTT<CR>\end{screx}?TTT
cw
noremap  ,exf    O\begin{screx}<CR>TTT<CR>\end{screx}?TTT
cw
vnoremap ,exf  "ac\begin{screx}<CR>TTT<CR>\end{screx}?TTT
cw"ap
"
inoremap ,ec     \begin{center}<CR>TTT<CR>\end{center}?TTT
cw
noremap  ,ec    O\begin{center}<CR>TTT<CR>\end{center}?TTT
cw
vnoremap ,ec  "ac\begin{center}<CR>TTT<CR>\end{center}?TTT
cw"ap
" -------------------------------------
" Uvozovky
inoremap ,uv     \uv{ttt}?ttt
cw
noremap  ,uv    o\uv{ttt}?ttt
cw
vnoremap ,uv  "ac\uv{ttt}?ttt
cw"ap
" -------------------------------------
" Texty
inoremap ,tt     \texttt{ttt}?ttt
cw
noremap  ,tt    o\texttt{ttt}?ttt
cw
vnoremap ,tt  "ac\texttt{ttt}?ttt
cw"ap
"
inoremap ,em     {\em TTT}?TTT
cw
noremap  ,em    O{\em TTT}?TTT
cw
vnoremap ,em  "ac{\em TTT}?TTT
cw"ap
"
inoremap ,it     {\it TTT}?TTT
cw
noremap  ,it    O{\it TTT}?TTT
cw
vnoremap ,it  "ac{\it TTT}?TTT
cw"ap
"
inoremap ,ve     \verb+TTT+?TTT
cw
noremap  ,ve    O\verb+TTT+?TTT
cw
vnoremap ,ve  "ac\verb+TTT+?TTT
cw"ap
" -------------------------------------
" Oddly
inoremap ,se      \section{TTT}?TTT
cw
noremap  ,se     O\section{TTT}?TTT
cw
vnoremap ,se   "ac\section{TTT}?TTT
cw"ap
"
inoremap ,sa      \section*{TTT}?TTT
cw
noremap  ,sa     O\section*{TTT}?TTT
cw
vnoremap ,sa   "ac\section*{TTT}?TTT
cw"ap
"
inoremap ,sse     \subsection{TTT}?TTT
cw
noremap  ,sse    O\subsection{TTT}?TTT
cw
vnoremap ,sse  "ac\subsection{TTT}?TTT
cw"ap
"
inoremap ,ssa     \subsection*{TTT}?TTT
cw
noremap  ,ssa    O\subsection*{TTT}?TTT
cw
vnoremap ,ssa  "ac\subsection*{TTT}?TTT
cw"ap
"
inoremap ,ssse    \subsubsection{TTT}?TTT
cw
noremap  ,ssse   O\subsubsection{TTT}?TTT
cw
vnoremap ,ssse "ac\subsubsection{TTT}?TTT
cw"ap
"
inoremap ,sssa    \subsubsection*{TTT}?TTT
cw
noremap  ,sssa   O\subsubsection*{TTT}?TTT
cw
vnoremap ,sssa "ac\subsubsection*{TTT}?TTT
cw"ap
"
"
imenu LaTe&X.Macros.Section            \section{TTT}?TTT
cw
imenu LaTe&X.Macros.Section\ Alt       \section*{TTT}?TTT
cw
imenu LaTe&X.Macros.Subsection         \subsection{TTT}?TTT
cw
imenu LaTe&X.Macros.Subsection\ Alt    \subsection*{TTT}?TTT
cw
imenu LaTe&X.Macros.Subsubsection      \subsubsection{TTT}?TTT
cw
imenu LaTe&X.Macros.Subsubsection\ Alt \subsubsection*{TTT}?TTT
cw
